bugGNU Octave - Bugs: bug #58846, [octave forge] (symbolic) Error...

 
 

bug #58846: [octave forge] (symbolic) Error using SymPy 1.6

Submitted by:  None
Submitted on:  Wed 29 Jul 2020 12:03:10 AM UTC  
 
Category:  Octave Forge Package Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Regression
Status:  Duplicate Assigned to:  None
Originator Name:  Originator Email:  -email is unavailable-
Open/Closed:  Closed Release:  dev
Operating System:  GNU/Linux

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Wed 29 Jul 2020 03:03:24 AM UTC, comment #1: 

Thank you for the detailed bug report.  According to your logs you have SymPy 1.6 installed.  Thus it is probably a duplicate of bug #58491.  Please try to downgrade SymPy to 1.5.1 until bug #58491 is resolved.

Kai Torben Ohlhus <siko1056>
Project Member
Wed 29 Jul 2020 12:03:10 AM UTC, original submission:  

The Octave Forge package symbolic has stopped working, and it now gives a Python error from Sympy on declaring any symbolic variable like "syms x". A fresh "pkg update" did not make the error go away. Willing to update Python packages with guidance, if that's the error.

octave:1> ver
----------------------------------------------------------------------
GNU Octave Version: 7.0.0 (hg id: a61b651914d6)
GNU Octave License: GNU General Public License
Operating System: Linux 5.4.52-1-MANJARO #1 SMP PREEMPT Thu Jul 16 16:07:11 UTC 2020 x86_64
----------------------------------------------------------------------
Package Name        | Version | Installation directory
--------------------+---------+-----------------------
           arduino  |   0.5.0 | /usr/local/share/octave/packages/arduino-0.5.0
               bim  |   1.1.5 | /usr/local/share/octave/packages/bim-1.1.5
             bsltl  |   1.3.1 | /usr/local/share/octave/packages/bsltl-1.3.1
               cgi  |   0.1.2 | /usr/local/share/octave/packages/cgi-0.1.2
    communications  |   1.2.2 | /usr/local/share/octave/packages/communications-1.2.2
           control  |   3.2.0 | /usr/local/share/octave/packages/control-3.2.0
    data-smoothing  |   1.3.0 | /usr/local/share/octave/packages/data-smoothing-1.3.0
          database  |   2.4.4 | /usr/local/share/octave/packages/database-2.4.4
         dataframe  |   1.2.0 | /usr/local/share/octave/packages/dataframe-1.2.0
            divand  |   1.1.2 | /usr/local/share/octave/packages/divand-1.1.2
           doctest  |   0.7.0 | /usr/local/share/octave/packages/doctest-0.7.0
      econometrics  |   1.1.2 | /usr/local/share/octave/packages/econometrics-1.1.2
         financial  |   0.5.3 | /usr/local/share/octave/packages/financial-0.5.3
               fpl  |   1.3.5 | /usr/local/share/octave/packages/fpl-1.3.5
                ga  |  0.10.1 | /usr/local/share/octave/packages/ga-0.10.1
           general  |   2.1.1 | /usr/local/share/octave/packages/general-2.1.1
     generate_html  |   0.3.2 | /usr/local/share/octave/packages/generate_html-0.3.2
          geometry  |   4.0.0 | /usr/local/share/octave/packages/geometry-4.0.0
             image  |  2.12.0 | /usr/local/share/octave/packages/image-2.12.0
image-acquisition  |   0.2.2 | /usr/local/share/octave/packages/image-acquisition-0.2.2
instrument-control  |   0.5.0 | /usr/local/share/octave/packages/instrument-control-0.5.0
          interval  |   3.2.0 | /usr/local/share/octave/packages/interval-3.2.0
                io  |   2.6.1 | /usr/local/share/octave/packages/io-2.6.1
    linear-algebra  |   2.2.3 | /usr/local/share/octave/packages/linear-algebra-2.2.3
              lssa  |   0.1.3 | /usr/local/share/octave/packages/lssa-0.1.3
           mapping  |   1.4.0 | /usr/local/share/octave/packages/mapping-1.4.0
           matgeom  |   1.2.2 | /usr/local/share/octave/packages/matgeom-1.2.2
     miscellaneous  |   1.3.0 | /usr/local/share/octave/packages/miscellaneous-1.3.0
               msh  |  1.0.10 | /usr/local/share/octave/packages/msh-1.0.10
               mvn  |   1.1.0 | /usr/local/share/octave/packages/mvn-1.1.0
               nan  |   3.5.0 | /usr/local/share/octave/packages/nan-3.5.0
           ncarray  |   1.0.4 | /usr/local/share/octave/packages/ncarray-1.0.4
            netcdf  |  1.0.13 | /usr/local/share/octave/packages/netcdf-1.0.13
               ocl  |   1.1.1 | /usr/local/share/octave/packages/ocl-1.1.1
           octproj  |   2.0.1 | /usr/local/share/octave/packages/octproj-2.0.1
            optics  |   0.1.4 | /usr/local/share/octave/packages/optics-0.1.4
             optim  |   1.6.0 | /usr/local/share/octave/packages/optim-1.6.0
       optiminterp  |   0.3.6 | /usr/local/share/octave/packages/optiminterp-0.3.6
          parallel  |   4.0.0 | /usr/local/share/octave/packages/parallel-4.0.0
          queueing  |   1.2.7 | /usr/local/share/octave/packages/queueing-1.2.7
            secs1d  |   0.0.9 | /usr/local/share/octave/packages/secs1d-0.0.9
            secs3d  |   0.0.1 | /usr/local/share/octave/packages/secs3d-0.0.1
            signal  |   1.4.1 | /usr/local/share/octave/packages/signal-1.4.1
           splines  |   1.3.3 | /usr/local/share/octave/packages/splines-1.3.3
        statistics  |   1.4.2 | /usr/local/share/octave/packages/statistics-1.4.2
            struct  |  1.0.16 | /usr/local/share/octave/packages/struct-1.0.16
          symbolic  |   2.9.0 | /usr/local/share/octave/packages/symbolic-2.9.0
            tisean  |   0.2.3 | /usr/local/share/octave/packages/tisean-0.2.3
               tsa  |   4.6.2 | /usr/local/share/octave/packages/tsa-4.6.2
             video  |   2.0.0 | /usr/local/share/octave/packages/video-2.0.0
              vrml  |  1.0.13 | /usr/local/share/octave/packages/vrml-1.0.13
           windows  |   1.5.0 | /usr/local/share/octave/packages/windows-1.5.0
            zeromq  |   1.5.1 | /usr/local/share/octave/packages/zeromq-1.5.1
octave:2> pkg load symbolic
octave:3> syms x
Symbolic pkg v2.9.0: /usr/lib/python3.8/site-packages/sympy/__init__.py:672: SymPyDeprecationWarning:

importing sympy.core.compatibility with 'from sympy import *' has been
deprecated since SymPy 1.6. Use import sympy.core.compatibility
instead. See https://github.com/sympy/sympy/issues/18245 for more
info.

  self.Warn(
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "<stdin>", line 12, in octoutput_drv
  File "<stdin>", line 54, in octoutput
  File "<stdin>", line 55, in octoutput
  File "/usr/lib/python3.8/site-packages/sympy/__init__.py", line 677, in __getattr__
    return getattr(self.mod, name)
AttributeError: module 'sympy.core.compatibility' has no attribute 'integer_types'
Waiting...............warning: readblock: timeout of 30 exceeded, breaking out
warning: called from
    readblock at line 101 column 7
    python_ipc_popen2 at line 99 column 16
    python_ipc_driver at line 62 column 15
    pycall_sympy__ at line 163 column 11
    valid_sym_assumptions at line 38 column 10
    assumptions at line 82 column 7
    syms at line 97 column 13

no output so far

error: ipc_popen2: something wrong? timed out starting python
error: called from
    python_ipc_popen2 at line 101 column 7
    python_ipc_driver at line 62 column 15
    pycall_sympy__ at line 163 column 11
    valid_sym_assumptions at line 38 column 10
    assumptions at line 82 column 7
    syms at line 97 column 13

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Digest:
   bug dependencies.

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by siko1056 (Posted a comment)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 4 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2020-07-29 siko1056 Dependencies- => Depends on bugs #58491
    2020-07-29 siko1056 StatusNone => Duplicate
        Open/ClosedOpen => Closed
        SummaryError while using syms in Forge package symbolic => [octave forge] (symbolic) Error using SymPy 1.6

    Back to the top


    Powered by Savane 3.5